-- load map --
local path = "assets/"
local map = love.image.newImageData(path.."map.png")
local w,h = map:getWidth(),map:getHeight()
local x,y = 0,0
for i=1,w*h do
  local r,g,b = map:getPixel(x,y)
  local no = false
  local t = "n/a"
  if r == 0 and g == 0 and b == 0 then
    no = true
  elseif r == 128/255 and g == 128/255 and b == 128/255 then
    p.tx,p.ty = x,y
    p.x,p.y = x*50,y*50
    no = true
  elseif r == 0 and g == 0 and b == 1 then
    t = "ladder"
  elseif r == 0 and g == 1 and b == 0 then
    t = "grass"
  elseif r == 1 and g == 128/255 and b == 0 then
    t = "dirt"
  end
  if no == false then
    newBlock(x,y,t)
  end
  x = x + 1
  if x >= w then
    x,y = 0,y+1
  end
end
--------------

-- adjust blocks --
if p.tx > 6 then
  for i=1,p.tx-6 do
    for _,b in pairs(blocks) do
      b.x = b.x - 50
    end
    p.x = p.x - 50
  end
elseif p.tx < 6 then
  for i=1,6-p.tx do
    for _,b in pairs(blocks) do
      b.x = b.x + 50
    end
    p.x = p.x + 50
  end
end
-------------------

-- sprites --
--> tiles >
path = "assets/sprites/tiles/"
lad = love.graphics.newImage(path.."ladder.png")
grs = love.graphics.newImage(path.."grass.png")
drt = love.graphics.newImage(path.."dirt.png")
-------------