function love.load()
  -- basic set-up --
  love.window.setTitle("Platformer")
  love.mouse.setVisible(false)
  ------------------
  
  -- tables --
  --> blocks >
  blocks = {}
  --> player >
  p = {}
  p.tx,p.ty = 0,0
  p.x,p.y = 0,0
  p.d = "n/a"
  p.m = false
  p.s = 5
  p.sc = 50/p.s
  p.ok = true
  p.f = false
  p.fc = 50/p.s
  p.c = false
  p.cd = "n/a"
  p.cc = 50/p.s
  ------------
  
  -- get scripts --
  scrPath = "assets.scripts."
  require(scrPath.."functions")
  require(scrPath.."load")
  require(scrPath.."keys")
  require(scrPath.."update")
  require(scrPath.."draw")
  -----------------
end